jun

DSM 6.1.x Loader

Recommended Posts

3 minutes ago, ericavd said:

I just tried loader v1.01 on AMD5350 & ASROCK AM1B-ITX. The loader booted, but installation of DSM failed.

 

Any way, loader v1.02b with DSM6.1.5 (DSM_DS3617xs_15254.pat) is working.

 

BTW, I just order a cheap used 8-Port SATA/PCI-X Controller SATA II 3Gbps Card (with Marvell 88SX6081 Chip). Not knowing the compatibility. I will post the results when I have it.

 

There is no need to use any other loader other than the latest unless you wish to remain below DSM 6.1.

 

Please look around the forum and post your questions in the adequate section/sub-forum. Use the search function. If needed create your own topic.

I am keeping this topic alive only for technical questions regarding the loader itself as installation questions can be addressed more efficiently in other sections.

Share this post


Link to post
Share on other sites

I have an AMD System, i tried the 1.02b but not working. The loader start booting but restart after 15~ seconds. With 5.2 loader everything works great. 

Today i saw that in the download section there is another loader by Quicknick. I tried and the synology assistant found my system. But when i try to setup, it says there is no HDD.

 

Any tip?

 

Thanks!

 

Share this post


Link to post
Share on other sites
On 3/14/2018 at 11:35 AM, ericavd said:

BTW, I just order a cheap used 8-Port SATA/PCI-X Controller SATA II 3Gbps Card (with Marvell 88SX6081 Chip). Not knowing the compatibility. I will post the results when I have it.

88SX6081

https://ata.wiki.kernel.org/index.php/SATA_hardware_features

-> sata_mv.ko

 

 

all sata_*.ko  (also (sata_mv.ko) are broken in dsm 6.1 kernel source from synology, so no luck when it comes to this controller

 

there are cheap 4-port marvel controller that use the ahci diver, if it has to be 8-port then maybe this helps

 

Share this post


Link to post
Share on other sites

Jun 1.02b seems to work fine on my old ASUS e2km1l-deluxe AMD-based machine. Are there problems to expect from running on AMD platform, or would I've hit those problem already during install if existent?

Share this post


Link to post
Share on other sites
1 hour ago, error403 said:

Jun 1.02b seems to work fine on my old ASUS e2km1l-deluxe AMD-based machine. Are there problems to expect from running on AMD platform, or would I've hit those problem already during install if existent?

No, if you've managed to install it & everything's working you should be ok.

Share this post


Link to post
Share on other sites
19 minutes ago, Dfds said:

No, if you've managed to install it & everything's working you should be ok.

thank you!

Share this post


Link to post
Share on other sites

Not booting anymore for me on VMWare Workstation with 1.02 ds3617 loader. It does say it boots, but nothing on the network.

Share this post


Link to post
Share on other sites

Is that after attempting the 6.1.6 update?  If so, you should be posting in the Critical Updates section in the 6.1.6 thread

Share this post


Link to post
Share on other sites

Just wanted to say than you for all the work being done here; I have implemented these nas setups with out fail on a couple systems.

 

But also wanted to share this info if people were interested; I have a VmWare ESXi 6.5 server running a AMD Ryzen 5 1600 cpu, and using the DS3617xs 6.1 v1.0aplha vmware images (after converting the vmware to ESXi 6.5) it booted up just fine and have had no issues; running DSM 6.1.6.

 

Here is my cpuinfo from ssh on the system:

cat /proc/cpuinfo  

 

/$ cat /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 23
model           : 1
model name      : AMD Ryzen 5 1600 Six-Core Processor
stepping        : 1
cpu MHz         : 3192.916
cache size      : 512 KB
fpu             : yes
fpu_exception   : yes
cpuid level     : 13
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm nopl eagerfpu pni pclmulqdq ssse3 fma cx16 sse4_1 sse4_2 x2apic movbe popcnt aes xsave avx f16c rdrand hypervisor lahf_lm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw arat xsaveopt fsgsbase bmi1 avx2 smep bmi2 rdseed adx smap
bogomips        : 6385.83
TLB size        : 2560 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 43 bits physical, 48 bits virtual
power management:
processor       : 1
vendor_id       : AuthenticAMD
cpu family      : 23
model           : 1
model name      : AMD Ryzen 5 1600 Six-Core Processor
stepping        : 1
cpu MHz         : 3192.916
cache size      : 512 KB
fpu             : yes
fpu_exception   : yes
cpuid level     : 13
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 syscall nx mmxext fxsr_opt pdpe1gb rdtscp lm nopl eagerfpu pni pclmulqdq ssse3 fma cx16 sse4_1 sse4_2 x2apic movbe popcnt aes xsave avx f16c rdrand hypervisor lahf_lm extapic cr8_legacy abm sse4a misalignsse 3dnowprefetch osvw arat xsaveopt fsgsbase bmi1 avx2 smep bmi2 rdseed adx smap
bogomips        : 6386.84
TLB size        : 2560 4K pages
clflush size    : 64
cache_alignment : 64
address sizes   : 43 bits physical, 48 bits virtual
power management:

 

Hide  

 

Share this post


Link to post
Share on other sites
3 hours ago, rikadoo said:

 

Always download manual in DSM en then i install it. I have 6 sataports on my motherboard and an M1015 SAS controller. I don`t know the exact drives that are not seen but i thought it was from my SAS card.

So it looks like you have 14 drive channels (6+8) but 12 is the default unless syno info.conf is altered but somehow it looks like your sataport edit is fixing it until update. I would check and ensure your 9 drives are connected to the first 9 channels (6 onboard and 3 sas) but you will need to determine the drive numbers/channels in DSM. If your 9 drives are on the first 9 channels seen by DSM no config changes should be needed and no rebuilds on update

Share this post


Link to post
Share on other sites

Good day, and many thanks for all boot loaders, in the future you make boot loader for 6.2?

  • Like 2

Share this post


Link to post
Share on other sites

Hello,

 

I have a question about the 918+ and jun's 1.03a loader,

 

Is the 918+ and the jun's loader support 12disks by default? or 4? Because I have a 3617xs with 14disks mod.

 

Thanks

Share this post


Link to post
Share on other sites
10 минут назад, kaktuss77 сказал:

Hello,

 

I have a question about the 918+ and jun's 1.03a loader,

 

Is the 918+ and the jun's loader support 12disks by default? or 4? Because I have a 3617xs with 14disks mod.

 

Thanks

 

I try 4 disk setup. Its work but unstable. ISCSI work, but under big load freezes. 6.17  3617 its fine.

Share this post


Link to post
Share on other sites
Il y a 5 heures, vortexxx a dit :

 

I try 4 disk setup. Its work but unstable. ISCSI work, but under big load freezes. 6.17  3617 its fine.

 

Okay thanks for answered me. thats you describe is only with 1.03a loader or with 1.02b too?

 

I have 2 x 10Gbps port, for my iSCSI target (Windows 10, 6Tb target for games etc), I allready use ds3617xs image with 1.02b loader, work great :)

  • Thanks 1

Share this post


Link to post
Share on other sites
8 hours ago, kaktuss77 said:

I have a question about the 918+ and jun's 1.03a loader,

 

Is the 918+ and the jun's loader support 12disks by default? or 4? Because I have a 3617xs with 14disks mod.

 

yes. default is 12, i tested with one disk on port 4 and another on port 12

maxdisk is 12 anf internal disk 0xff (as in 916+) but it shows 12 disk and seems to work

  • Thanks 1

Share this post


Link to post
Share on other sites

Добрый день.
Извините за мой английский, я использую google translate.
Мне нужен загрузчик v1.03b для 3617 с разделом GPT? BIOS материнской платы не поддерживает загрузку Legacy. (Asrock J5005-ITX, BIOS обновлен до 1.40) Те загрузчики, которые выложены здесь v1.03b 3617 с разделом MBR.

Edited by llxbr

Share this post


Link to post
Share on other sites

Good afternoon.
Sorry for my English, i use google translate.
I need a bootloader v1.03b for 3617 with a GPT partition? The BIOS of the motherboard does not support Legacy boot. (Asrock J5005-ITX, bios updated to 1.40 )  Those loaders that are laid out here v1.03b for 3617 with MBR partition.

Share this post


Link to post
Share on other sites
13 minutes ago, llxbr said:

Good afternoon.
Sorry for my English, i use google translate.
I need a bootloader v1.03b for 3617 with a GPT partition? The BIOS of the motherboard does not support Legacy boot. (Asrock J5005-ITX, bios updated to 1.40 )  Those loaders that are laid out here v1.03b for 3617 with MBR partition.

I have an Asrock j3455 with similar bios, works ok with mbr / non-uefi

Try Bios> Advanced> Enable Legacy USB support

 

Then try Boot> Device and see if the legacy USB appears

Share this post


Link to post
Share on other sites

на J5005 в BIOS нет поддержки Legacy USB. У меня есть еще один J4205, есть поддержка Legacy USB, и там все работает.

Edited by llxbr

Share this post


Link to post
Share on other sites

on the J5005 in the BIOS there is no Legacy USB support. I have another J4205, there is support for Legacy USB, and there everything works.

Share this post


Link to post
Share on other sites

Help!

 

- Outcome of the installation / update: SUCCESSFUL
- DSM version: DSM 6.2-23739 Update 2
- Loader version and model: JUN'S LOADER v1.02b - DS3615xs
- Using custom extra.lzma: NO
- Installation type: Baremetal Optiplex 9020
- Additional comments: None

Good evening, I upgraded to DSM 6.2-23739 Update 2 and did not know though, it works perfectly. with loader v.1.02b!

Now is the doubt, I put jun load 1.03b and I upgrade to DSM 6.2.1.23824 Update 2? or leave it the way it is?


************************************************** **************************************
DO NOT update to DSM 6.2 with loader v.1.02b. It will not work. I repeat. DO NOT update to DSM 6.2

 

syno.png

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now